Apps: Update Beacon Webhook Settings
PUT /apps/{app_id}/webhookPath Parameters
Section titled “Path Parameters”| Name | Type | Required | Description |
|---|---|---|---|
app_id |
string | No | id of pulsate app |
Body Parameters
Section titled “Body Parameters”| Name | Type | Required | Description |
|---|---|---|---|
setting_attributes |
object | Yes | |
setting_attributes.beacon_event_webhook_enabled |
boolean | Yes | webhook enabled can either be true or false |
setting_attributes.beacon_event_url |
string | No | webhook url which pulsate will hit when someone will enter/leave beacon |
Headers
Section titled “Headers”| Name | Type | Required | Description |
|---|---|---|---|
Authorization |
string | Yes | {my_admin_api_token} |
Content-Type |
string | No | application/json |
Request Example
Section titled “Request Example”curl --request PUT \ --url https://control.pulsatehq.com/api/v2/apps/{app_id}/webhook \ --header 'authorization: Token token={my_admin_api_token}' \ --header 'content-type: application/json' \ --data '{ "setting_attributes": { "beacon_event_webhook_enabled": true, "beacon_event_url": "www.google.com" }}'
